libusb-compat requires pkg-config

Randy McMurchy randy at linuxfromscratch.org
Sat Feb 28 18:05:41 PST 2009


Bruce Dubbs wrote these words on 02/28/09 19:33 CST:
> While I'm not completely against putting pkg-config in LFS, we could also put it 
> into Chapter 3 of BLFS, 'After LFS Configuration Issues'.

It wouldn't surprise me if some LFS package looks for pkg-config in the
near future. At that time, we'll have to put it in LFS. Until then, it's
a crap-shoot as to include it or not. I really don't care on the LFS side,
but in BLFS, it is becoming mandatory for almost all packages.

Discussion of this issue is in order. My vote is to add it to LFS. I sort
of look at it like the autotools. They aren't required, but you'll need
it for sure down the road.

-- 
Randy

rmlscsi: [bogomips 1003.24] [GNU ld version 2.16.1] [gcc (GCC) 4.0.3]
[GNU C Library stable release version 2.3.6] [Linux 2.6.14.3 i686]
19:56:01 up 1 day, 5:55, 1 user, load average: 0.11, 0.09, 0.33



More information about the lfs-dev mailing list